polybori::groebner::GetNthPoly Class Reference

`#include <GetNthPoly.h>`

## Public Member Functions

| GetNthPoly (ReductionStrategy &strat)
template<class KeyType >
const Polynomial & | operator() (const KeyType &key)

## Public Attributes

ReductionStrategy & | m_strat

## Detailed Description

This class extractos the polynomial of the n-th element of a given `ReductionStrategy`.

## Constructor & Destructor Documentation

polybori::groebner::GetNthPoly::GetNthPoly | ( | ReductionStrategy & | strat | ) |

inline

## Member Function Documentation

template<class KeyType >

const Polynomial& polybori::groebner::GetNthPoly::operator() | ( | const KeyType & | key | ) |

inline

## Member Data Documentation

ReductionStrategy& polybori::groebner::GetNthPoly::m_strat

The documentation for this class was generated from the following file:

- GetNthPoly.h